declare const _default: import("@subscan/widget-runtime").ImplementedRuntimeComponent<import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
    text: import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
        raw: import("@sinclair/typebox").TString;
        format: import("@sinclair/typebox").TKeyOf<"plain">;
    }>>;
    isLoading: import("@sinclair/typebox").TBoolean;
    colorScheme: import("@sinclair/typebox").TKeyOf<"whiteAlpha" | "blackAlpha" | "gray" | "red" | "orange" | "yellow" | "green" | "teal" | "blue" | "cyan" | "purple" | "pink" | "linkedin" | "facebook" | "messenger" | "whatsapp" | "twitter" | "telegram">;
}>>, import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
    value: import("@sinclair/typebox").TString;
}>>, {
    click: undefined;
}, readonly "content"[], {}, readonly "onClick"[]>;
export default _default;
